<img src="./readme_assets/Logo-horizontal.png" width="70%">

## Google Solution Challenge 
This project is a part of the solution for the problem statement for [Google Solution Challenge 2022](https://developers.google.com/community/gdsc-solution-challenge). 
The mission of the 2022 Solution Challenge is to solve for one or more of the United Nations 17 Sustainable Development Goals using Google technology.
In this project, we are trying to solve the following UN Goals:

<img src="./readme_assets/UN1.png" width="100" height="100"><img src="./readme_assets/UN2.png" width="100" height="100"><img src="./readme_assets/UN3.png" width="100" height="100"><img src="./readme_assets/UN5.png" width="100" height="100">



## 📜Project Details
#### "eRx" aims to provide a technological solution that aims to solve the fundamental problems mentioned above by standardizing the transaction of prescriptions between different entities.
* The standardization and digitalization of the prescription offer several benefits to the involved parties. As all the prescriptions are digitized, the patient does not need to maintain a record of their previous prescriptions as it is readily available in the system. This also ensures that the doctor can look at the previous prescriptions to give an informed diagnosis. 
* A standard format makes sure that there is no chance of misunderstanding or misinterpretation. All the prescriptions, regardless of the hospital or the doctor will have a fixed format that will have all the necessary information. Thus, all the parties know what to expect from the prescriptions. 
* The Paperless and Contactless transaction model will ensure that there is no need for paper, thus making the entire system more sustainable. Also, the handling of the prescriptions will be entirely digital and contactless, making it very convenient to use and share with the pharmacist. 

> Our main goal is to create a unified platform/interface for standardizing the prescriptions in India.

<p><img src="./readme_assets/youtube.png" height="14"> Intro Video: <a href = "https://youtu.be/yGIn7IrzZzw">Youtube</a></p>

## 💻Technology Stack 

<p><img src="./readme_assets/flutter.png" height="14"> <b>Flutter</b> : Cross-platform application developement</p>

<p><img src="./readme_assets/firebase.png" height="14"> <b>Firebase</b> : Auth, cloud firestore, analytics & firebase triggers</p>

<p><img src="./readme_assets/nodejs.png" height="14"> <b>Node Js</b> : Backend Framework (ExpressJS)</p>

<p><img src="./readme_assets/adobexd.png" height="14"> <b>Adobe Xd</b> : UI/UX Designing & Prototyping</p>


<b>Open-source Flutter packages used:</b>
[cloud_firestore](https://pub.dev/packages/cloud_firestore),
[double_back_to_close_app](https://pub.dev/packages/double_back_to_close_app),
[firebase_auth](https://pub.dev/packages/firebase_auth),
[firebase_core](https://pub.dev/packages/firebase_core),
[flutter_svg](https://pub.dev/packages/flutter_svg),
[fluttertoast](https://pub.dev/packages/fluttertoast),
[google_fonts](https://pub.dev/packages/google_fonts),
[intl](https://pub.dev/packages/intl),
[lottie](https://pub.dev/packages/lottie),
[provider](https://pub.dev/packages/provider),
[shared_preferences](https://pub.dev/packages/shared_preferences)


## ▶️Run on Local Machine

### Prerequisites:
- Setup [Flutter](https://docs.flutter.dev/get-started/install) environment
- Setup [Firebase](https://firebase.flutter.dev/docs/overview/) Project & download `google-services.json` file to `android/app`

1. Clone the repository & Change directory
```sh
git clone https://github.com/HeveshL/eRx
cd erx
```
2. Flutter pub get & run
```sh
flutter pub get
flutter run
```


## 📱User Experience
<img src="./readme_assets/t1.png" width="100%">
<img src="./readme_assets/t2.png" width="100%">
<img src="./readme_assets/t3.png" width="100%">
<img src="./readme_assets/t4.png" width="100%">
<img src="./readme_assets/t5.png" width="100%">
<img src="./readme_assets/t6.png" width="100%">


## 📃License

Distributed under the MIT License. See `LICENSE` for more information.

## 👦Authors

- Hevesh Lakhwani [@heveshL](https://github.com/HeveshL)
- Shubham Joshi [@Shubhamjoshi301](https://github.com/Shubhamjoshi301)
- Henay Lakhwani [@henaylakhwani](https://github.com/henaylakhwani)
- Yash Thakre [@thakreyn](https://github.com/thakreyn)
